#ifndef DATATYPE_H
#define DATATYPE_H

#include <stdbool.h>

typedef enum { DT_INT, DT_FLOAT, DT_BOOL, DT_VOID } DataType;

const char* dtGetName(DataType dt);
int dtGetSize(DataType dt);
DataType dtArray(DataType dt, int dimensions);
int dtMaxDimensions();
bool dtIsArray(DataType dt);

#endif